Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 160909 - Clicking on a font in fonts:// does not open gnome-font-viewer
Summary: Clicking on a font in fonts:// does not open gnome-font-viewer
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: nautilus
Version: 4
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: David Zeuthen
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-06-18 11:29 UTC by Gérard Milmeister
Modified: 2013-03-06 03:43 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-10-03 14:50:04 UTC


Attachments (Terms of Use)

Description Gérard Milmeister 2005-06-18 11:29:15 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.8) Gecko/20050513 Galeon/1.3.21

Description of problem:
In FC3 and before nautilus fonts: showed the available fonts, and clicking on a font opened the gnome-font-viewer with this font. However in FC4, this doesn't work anymore. Instead clicking on the font Aachen opens an error dialog with

Couldn't display "fonts:///Aachen".

This procedure does however work on the actual font directory, e.g,
nautilus /usr/share/fonts/TTF

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. open nautilus on url fonts://
2. (double-)click on a font
  

Actual Results:  Error dialog saying that font could not be displayed

Expected Results:  Font should be displayed using gnome-font-viewer

Additional info:

Comment 1 petrosyan 2005-06-29 02:47:06 UTC
Nautilus also can't show "Bitstream Charter, Bold Italic" font.
It gives the following message:
Cannot open Bitstream Charter, Bold Italic
The filename "Bitstream Charter, Bold Italic" indicates that this file is of
type "font". The contents of the file indicate that the file is of type
"PostScript document". If you open this file, the file might present a security
risk to your system.

Do not open the file unless you created the file yourself, or received the file
from a trusted source. To open the file, rename the file to the correct
extension for "PostScript document", then open the file normally. Alternatively,
use the Open With menu to choose a specific application for the file. 



Note You need to log in before you can comment on or make changes to this bug.